# General
general {
    fail_timeout = 300
}

animations {
    animation = fadeIn, 0
    animation = fadeOut, 0
}

background {
    path = $LOCK_WALLPAPER
    blur_passes = $LOCK_BLUR_PASSES
    blur_size = 3
    noise = 0.0117
    contrast = 0.8916
    brightness = 0.8172
    vibrancy = 0.1696
    vibrancy_darkness = 0.0
}


# Positioning
# Time
label {
    text = cmd[update:1000] echo "$(date +"%R")"
    color = $foreground
    font_size = 60
    font_family = JetBrains Mono Nerd Font Mono ExtraBold
    position = 210, 240
    halign = left
    valign = center
}

# Date
label {
    text = cmd[update:1000] echo -e "$(date +"%A, %B %d")"
    color = rgba(216, 222, 233, 0.75)
    font_size = 20
    font_family = SF Pro Display Bold
    position = 202, 175
    halign = left
    valign = center
}

# Input
input-field {
    size = 350, 55
    outline_thickness = 2
    dots_size = 0.2
    dots_spacing = 0.2
    dots_center = true
    outer_color = rgba(56, 129, 195, 0.94)
    inner_color = rgba(10, 0, 30, 0.3)
    font_color = rgb(200, 200, 200)
    fade_on_empty = false
    font_family = JetBrains Mono Nerd Font Mono
    placeholder_text = <i><span foreground="##cdd6f4">Poow</span></i>
    hide_input = false
    position = 160, 40
    halign = left
    valign = center
}

# Player (TODO: fix it)
label {
    text = cmd[update:1000] echo "$($HOME/.config/hypr/scripts/player-status.sh)"
    color = $foreground
    font_size = 14
    font_family = JetBrains Mono Nerd Font Mono
    position = 0, 10
    halign = center
    valign = bottom
}

